Freeciv-3.3: generate_packets.BasicType Class Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Static Public Attributes
generate_packets.BasicType Class Reference
Inheritance diagram for generate_packets.BasicType:

## Public Member Functions

| __init__ (self, str dataio_type, str public_type)
str | get_code_declaration (self, Location location)
str | get_code_param (self, Location location)
str | get_code_hash (self, Location location, str packet)
str | get_code_cmp (self, Location location, str new, str old)
str | get_code_put (self, Location location, str packet, "str | None" diff_packet=None)
str | get_code_get (self, Location location, str packet, bool deep_diff=False)
str | __str__ (self)
Public Member Functions inherited from generate_packets.FieldType
"FieldType" | array (self, SizeInfo size)
str | get_code_handle_arg (self, Location location, str packet)
str | get_code_init (self, Location location, str packet)
str | get_code_copy (self, Location location, str dest, str src)
str | get_code_fill (self, Location location, str packet)
str | get_code_free (self, Location location, str packet)
bool | is_type_compatible (self, "FieldType" other)
Public Member Functions inherited from generate_packets.RawFieldType
str | __repr__ (self)

## Data Fields

| dataio_type
| public_type

## Static Public Attributes

str | dataio_type
str | public_type
str | DEFAULT_REGISTRY = TypeRegistry(BasicType)
Static Public Attributes inherited from generate_packets.FieldType
bool | foldable = False
bool | complex = False
Static Public Attributes inherited from generate_packets.RawFieldType
str | FieldTypeConstructor = typing.Callable[[str, str], RawFieldType]

## Additional Inherited Members

Protected Member Functions inherited from generate_packets.FieldType
| _compat_keys (self, Location location, str packet)

## Detailed Description

    Type information for a field without any specialized treatment

Definition at line 911 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.BasicType.__init__ | ( |  | self,
|  | str | dataio_type,
|  | str | public_type
| ) |  |

Reimplemented in generate_packets.IntType, generate_packets.BoolType, generate_packets.FloatType, generate_packets.IntType, generate_packets.BoolType, generate_packets.FloatType, generate_packets.IntType, generate_packets.BoolType, generate_packets.FloatType, generate_packets.StructType, generate_packets.StructType, generate_packets.StructType, generate_packets.BitvectorType, generate_packets.CmParameterType, generate_packets.WorklistType, generate_packets.SizedType, generate_packets.StringType, generate_packets.MemoryType, and generate_packets.SpecvecType.

Definition at line 920 of file generate_packets.py.

## Member Function Documentation

## ◆ __str__()

str generate_packets.BasicType.__str__ | ( |  | self | ) |

Reimplemented from generate_packets.RawFieldType.

Reimplemented in generate_packets.FloatType, generate_packets.SizedType, and generate_packets.SpecvecType.

Definition at line 952 of file generate_packets.py.

## ◆ get_code_cmp()

str generate_packets.BasicType.get_code_cmp | ( |  | self,
|  | Location | location,
|  | str | new,
|  | str | old
| ) |  |

    Generate a code snippet comparing a field of this type between
    the given packets and setting `differ` accordingly. The `old`
    packet is one we know to have been initialized by our own code.

Reimplemented from generate_packets.FieldType.

Reimplemented in generate_packets.FloatType, generate_packets.BitvectorType, generate_packets.StructType, generate_packets.CmParameterType, generate_packets.StringType, and generate_packets.MemoryType.

Definition at line 935 of file generate_packets.py.

## ◆ get_code_declaration()

str generate_packets.BasicType.get_code_declaration | ( |  | self,
|  | Location | location
| ) |  |

    Generate a code snippet declaring a field with this type in a
    packet struct.

Reimplemented from generate_packets.FieldType.

Reimplemented in generate_packets.SizedType.

Definition at line 924 of file generate_packets.py.

## ◆ get_code_get()

str generate_packets.BasicType.get_code_get | ( |  | self,
|  | Location | location,
|  | str | packet,
|  | bool | deep_diff = `False`
| ) |  |

    Generate a code snippet reading a field of this type from the
    dataio stream.

Reimplemented from generate_packets.FieldType.

Reimplemented in generate_packets.IntType, generate_packets.FloatType, generate_packets.BitvectorType, generate_packets.StringType, and generate_packets.MemoryType.

Definition at line 945 of file generate_packets.py.

## ◆ get_code_hash()

str generate_packets.BasicType.get_code_hash | ( |  | self,
|  | Location | location,
|  | str | packet
| ) |  |

    Generate a code snippet factoring a field of this type into a
    hash computation's `result`.

Reimplemented from generate_packets.FieldType.

Reimplemented in generate_packets.IntType.

Definition at line 932 of file generate_packets.py.

## ◆ get_code_param()

str generate_packets.BasicType.get_code_param | ( |  | self,
|  | Location | location
| ) |  |

    Generate a code fragment declaring a parameter with this type for
    a handle function.

    See also self.get_code_handle_arg()

Reimplemented from generate_packets.FieldType.

Reimplemented in generate_packets.StructType, and generate_packets.SizedType.

Definition at line 929 of file generate_packets.py.

## ◆ get_code_put()

str generate_packets.BasicType.get_code_put | ( |  | self,
|  | Location | location,
|  | str | packet,
|  | "str | None" | diff_packet = `None`
| ) |  |

    Generate a code snippet writing a field of this type to the
    dataio stream.

Reimplemented from generate_packets.FieldType.

Reimplemented in generate_packets.FloatType, generate_packets.BitvectorType, generate_packets.StructType, and generate_packets.MemoryType.

Definition at line 940 of file generate_packets.py.

## Field Documentation

## ◆ dataio_type [1/2]

str generate_packets.BasicType.dataio_type

static

Definition at line 914 of file generate_packets.py.

## ◆ dataio_type [2/2]

generate_packets.BasicType.dataio_type

Definition at line 921 of file generate_packets.py.

## ◆ DEFAULT_REGISTRY

str generate_packets.BasicType.DEFAULT_REGISTRY = TypeRegistry(BasicType)

static

Definition at line 955 of file generate_packets.py.

## ◆ public_type [1/2]

str generate_packets.BasicType.public_type

static

Definition at line 917 of file generate_packets.py.

## ◆ public_type [2/2]

generate_packets.BasicType.public_type

Definition at line 922 of file generate_packets.py.